import request from '@/utils/request'

// 查询服务企业营收情况列表
export function listRevenue(query) {
    return request({
        url: '/crmServiceEnterpriseRevenue/findByPage',
        method: 'get',
        params: query
    })
}

// 查询服务企业营收情况详细
export function getRevenue(id) {
    return request({
        url: '/crmServiceEnterpriseRevenue/' + id,
        method: 'get'
    })
}

// 新增服务企业营收情况
export function addRevenue(data) {
    return request({
        url: '/crmServiceEnterpriseRevenue',
        method: 'post',
        data: data
    })
}

// 修改服务企业营收情况
export function updateRevenue(data) {
    return request({
        url: '/crmServiceEnterpriseRevenue',
        method: 'put',
        data: data
    })
}

// 删除服务企业营收情况
export function delRevenue(id) {
    return request({
        url: '/crmServiceEnterpriseRevenue/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delRevenueBatch(ids) {
    console.log(ids);
    return request.post('/crmServiceEnterpriseRevenue/delete',ids)
}